#include<iostream>
#include<string>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pauser") or input loop /*

int main (int argc, char** argv) {

string text;
text = "hastalavista";
getline(cin, text);
int n = text.length();

for(int i=0; i<3; i++){
    cout << text[i];
}
cout <<endl;
for(int i=7; i>2; i--){
    cout << text[i];
}
cout << endl;

for(int i=8; i<n; i++){
    cout << text[i];
}

return 0;
}


}